Update a monitor
Changes the event types or pauses and resumes the monitor. Fields you omit are left unchanged.
Free.
Authorization
bearerAuth Your API key, sent as Authorization: Bearer rc_live_….
In: header
Path Parameters
The monitor's id. A raw UUID, or the 27-character id of a monitor created before ids were UUIDs, is still accepted until 2026-12-31.
^mon_[0-7][0-9a-hjkmnp-tv-z]{25}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Changes to a monitor.
1 <= propertiesResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://api.registercheck.de/v1/monitors/mon_3wksk7jx1583f98jz0fz0zj2q7" \ -H "Authorization: Bearer $REGISTERCHECK_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "mon_3wksk7jx1583f98jz0fz0zj2q7", "object": "monitor", "subject": { "object": "company", "id": "cmp_1z3gn9wpvx9j59w8bd9w5rm72n", "name": "string" }, "event_types": [ "*" ], "unavailable_event_types": [ "*" ], "status": "active", "metadata": { "crm_id": "0015g00000XyZ", "team": "kyc" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}